> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.gappify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.gappify.com/_mcp/server.

# Get a list of Budgets

GET https://api.gappify.com/v1/budgets

Retrieve a list of Budgets based on specified filters.

Reference: https://developers.gappify.com/api-reference/inbound-to-gappify/7/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.gappify.com/v1` (Production, default)
- `https://api.uat.gappifyinc.com/v1` (UAT)

## Request

### Query parameters

- `per_page` (integer, optional)
- `page` (integer, optional)

## Response

### 200

- `list of BudgetsResponse`

## Errors

### 401 Unauthorized Error

- `message` (string, required) — The error message
- `success` (boolean, required)

### 422 Unprocessable Entity Error

- `message` (string, required) — The error message
- `errors` (string, required) — The error details

### 404 Not Found Error

- `list of string`

### 500 Internal Server Error

- `list of string`

## Types

### BudgetsResponse

- `source_system_id` (string, required) — Unique identifier of the invoice in the erp system. This value will be used to match source data and perform upserts.
- `vendor_id` (string, required) — Id of the Vendor/Supplier. This value should match the source_vendors->g_source_system_id which will be used to send back as part of JE to ERP.
- `subsidiary_id` (string, required) — Subsidiary id linked to the budget line. This value should match the g_source_system_id in source_coas.
- `department_id` (string, required) — Department id linked to the budget line. This value should match the g_source_system_id in source_coas.
- `glaccount_number` (string, required) — GLAccount number
- `glaccount_id` (string, required) — GLAccount id linked to the budget line. This value should match the g_source_system_id in source_coas.
- `subsidiary_currency_id` (string, required) — Subsidiary currency id of the budget line. Should match the name in the currency list of source_coas.
- `subsidiary_amount` (double, required) — Amount of the budget in the subsidiarys base currency.
- `period` (date, required) — Budget applicable period. **Format:** `yyyy-mm-01` (e.g., `2026-03-01`).
- `created_at` (datetime, required)
- `updated_at` (datetime, required)

## Examples

**Response**

```json
[
  {
    "source_system_id": "source_system_id",
    "vendor_id": "vendor_id",
    "subsidiary_id": "subsidiary_id",
    "department_id": "department_id",
    "glaccount_number": "glaccount_number",
    "glaccount_id": "glaccount_id",
    "subsidiary_currency_id": "subsidiary_currency_id",
    "subsidiary_amount": 1.1,
    "period": "2023-01-15",
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  },
  {
    "source_system_id": "source_system_id",
    "vendor_id": "vendor_id",
    "subsidiary_id": "subsidiary_id",
    "department_id": "department_id",
    "glaccount_number": "glaccount_number",
    "glaccount_id": "glaccount_id",
    "subsidiary_currency_id": "subsidiary_currency_id",
    "subsidiary_amount": 1.1,
    "period": "2023-01-15",
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.gappify.com/v1/budgets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.gappify.com/v1/budgets';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gappify.com/v1/budgets"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.gappify.com/v1/budgets")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.gappify.com/v1/budgets")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.gappify.com/v1/budgets', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.gappify.com/v1/budgets");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gappify.com/v1/budgets")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```